import Avatar from '@mui/material/Avatar';
import { styled } from '../styled/styled';
const getFont = (size) => {
    if (size === 'sm') {
        return 'body1';
    }
    if (size === 'md') {
        return 'h6';
    }
    return 'h5';
};
export const StyledAvatar = styled(Avatar, {
    shouldForwardProp: (prop) => !['$size'].includes(prop),
}) `
  font-size: ${({ theme, $size }) => theme.typography[getFont($size)].fontSize};
  font-weight: ${({ theme, $size }) => theme.typography[getFont($size)].fontWeight};
`;
